{
  "models": [
    {
      "name": "Purchase",
      "synchronizable": true,
      "properties": [
        {
          "name": "id",
          "type": "UInt64",
          "defaultValue": "0"
        },
        {
          "name": "user",
          "type": "String",
          "defaultValue": "\"\"",
          "encryption": "standard",
          "foreignKey": "CustomUser"
        },
        {
          "name": "purchaseDate",
          "type": "Date"
        },
        {
          "name": "productId",
          "type": "String",
          "defaultValue": "\"\""
        },
        {
          "name": "quantity",
          "type": "Int",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "revocationDate",
          "type": "Date",
          "optional": true,
          "defaultValue": "nil"
        },
        {
          "name": "expirationDate",
          "type": "Date",
          "optional": true,
          "defaultValue": "nil"
        }
      ],
      "tokenExemptedMethods": [],
      "relationshipNames": []
    }
  ]
}
